Bug 131173 - Unable to detect cameras
Unable to detect cameras
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: 131319 (view as bug list)
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-08-28 03:21 EDT by kaye gee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-23 10:03:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kaye gee 2004-08-28 03:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
Logged in as a non-root and root user. Connected camera and brought up
the Digital Camera Tool. I tried to add the cameras by clicking on
detect. I received the following error message:  No Cameras Detected.
I used the drop down box to find the camera model and then click ok or
apply. I get the following error:  Could not initialize camera. I
received the same results using a Canon D10 and Sony DSC-S75.  

Syslog messages are:
kernel: usb 3-1: new full speed USB device using address 4
kernel: usb 3-1: USB disconnect, address 4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in as a non-root or root user.
2. Bring up the Digital Camera Tool
3. From the menu click Camera and then Add Camera
4. Click Detect

1. Log in as a non-root or root user.
2. Bring up the Digital Camera Tool
3. From the menu click Camera and then Add Camera
4. Find the camera model from the drop down box
5. Click Ok or Apply


Actual Results:  Received error messages:

No Cameras Detected when clicking on the detect button.
Could not initialize camera when specifying camera model.

Expected Results:  Camera should be detected and added.

Additional info:
Comment 1 Zuirdj 2004-08-28 16:16:32 EDT
Same here. Since Fedora Core 1, my Canon PowerShot A70 was detected,
but lastest Rawhides don't allow to mount the camera. I tried to
re-add the camera (manually an d auto detect), but "No Cameras
Detected" message appeared.
Comment 2 John (J5) Palmieri 2004-08-30 18:30:03 EDT
*** Bug 131319 has been marked as a duplicate of this bug. ***
Comment 3 Alin Osan 2004-08-31 07:19:45 EDT
I can confirm that gphoto2 doesn't detect a Kodak DX 6340 that worked
perfect previously.
Comment 4 Tim Waugh 2004-08-31 11:10:38 EDT
What do these commands say?:

uname -r
Comment 5 kaye gee 2004-08-31 12:53:09 EDT
uname -r:

/dev/hda7 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda1 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
/dev/hda6 on /home type ext3 (rw)
/dev/hdb1 on /opt type ext3 (rw)
/dev/hda9 on /tmp type ext3 (rw)
/dev/hda2 on /usr type ext3 (rw)
/dev/hda5 on /usr/local type ext3 (rw)
/dev/hda3 on /var type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
Comment 6 John (J5) Palmieri 2004-08-31 13:13:03 EDT
This has to do with usbdevfs not being mounted.  Notting has said he
will get to that tonight.  In the meantime mount usbdevfs by hand and
see if it solves the problem:

mount -t usbdevfs usbdevfs /proc/bus/usb

You will also need version 2.1.4-6 of gphoto2 which fixes bug 130755
in order to access your camera as a normal user.
Comment 7 kaye gee 2004-08-31 16:46:52 EDT
After issuing the mount command, the Canon EOS D10 was detected after
clicking the Camera, Add Camera and then clicking Detect. However, if
you click apply or ok the error message "Could not initialize camera"
is displayed. 

Another interesting note is that the Sony DSC-S75 was detected as
"Sony DSC-F707V (PTP mode)"
Comment 8 Tim Waugh 2004-08-31 17:05:53 EDT
Please wait for gphoto2-2.1.4-6, and then re-test.
Comment 9 kaye gee 2004-09-05 17:48:20 EDT
I've installed the new gphoto2-2.1.4-6. As a normal users, both
cameras were successfully detected. First I tried the Sony DSC-S75. It
was detected, but it was listed as "Sony DSC-F707V (PTP mode)". This
did not appear to have an effect while working with the images. After
ending my Digital Camera Tool session and disconnecting the DSC-S75, I
connected the Canon D10. I relaunched the Digital Camera Tool again
and noticed that the "Sony DSC-F707V (PTP mode)" was still listed
along with the D10. When I clicked on the DSC-S75, I got the following
message "Could not list foler in '/'."
Comment 10 Zuirdj 2004-09-06 01:35:32 EDT
gphoto2-2.1.4-6 didn't resolve the problem with my Canon PS A70. "No
Cameras Detected"
Comment 11 Tim Waugh 2004-09-06 04:09:43 EDT
kaye gee: I'm not really surprised that clicking on the driver for the
camera that was *not* plugged in did not give good results.  As far as
I can tell, everything in comment #9 is expected behaviour.

Zuirdj: was does 'uname -r ; mount' say now?  The minimum package
requirements for this to work are: kernel >= 2.6.8-1.534; initscripts
>= 7.77-1; gphoto2-2.1.4-6.
Comment 12 Zuirdj 2004-09-23 10:02:37 EDT
Now, with FC3T2, A70 was detected.

Note You need to log in before you can comment on or make changes to this bug.